package com.gh.gamecenter.message.provider

import android.content.Context
import android.content.Intent
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.utils.ToastUtils
import com.gh.gamecenter.feature.entity.ConcernEntity
import com.gh.gamecenter.feature.provider.IMessageDetailProvider

@com.therouter.inject.ServiceProvider
class MessageDetailProviderImpl : IMessageDetailProvider {

    override fun getIntentById(
        context: Context,
        newsId: String,
        commentNum: Int,
        openSoftInput: Boolean,
        entrance: String
    ): Intent? {
        ToastUtils.toast("调用->MessageDetailProviderImpl.getIntentById")
        return null
    }

    override fun getIntentByEntity(context: Context, concernEntity: ConcernEntity, entrance: String): Intent? {
        ToastUtils.toast("调用->MessageDetailProviderImpl.getIntentByEntity")
        return null
    }
}